Description

Workspaces delivers versioning of contents and a flexible editing workflow on an enterprise level for editors and de- velopers. The
implementation of workspaces has grown from the initial concept from Kasper Skårhøj to a complex module which interacts with many
services of TYPO3 CMS.
To increase the stability of TYPO3 6.2 LTS particularly in the area of workspaces, a functional test-suite is needed to check if the
current and future implementations will work as desired. The goal is to implement the test-suite to be run by the de- veloper and
(optionally) automatically by the CI-environment of the TYPO3 Project.

Subtasks:
Task # 55217: Implement functional test-suite for workspaces Closed
Task # 54812: Add functional tests from irre_tutorial to the core Resolved
Task # 54855: Add functional test cases to DataHandler for regular live editing Resolved
Bug # 54857: Test extensions are not considered in functional test cases Resolved
Task # 55563: Add functional test cases to DataHandler for regular workspace editing Resolved
Task # 55882: Add framework for frontend rendering functional tests Resolved
Task # 56072: Extend DataHandler IRRE functional tests Resolved
Task # 56104: Enable DataHandler frontend rendering tests Resolved
Bug # 56111: Discard vs. Delete workspace changes in tests Resolved
Task # 56143: Integrate IRRE CSV Functional Tests Resolved
Bug # 56161: Parent localization pointer missing in IRRE tests Resolved
Task # 56179: Add functional tests for discarding created elements Resolved
Task # 56177: Windows issues with long CSV file name from commit 2db3d30 Resolved
Bug # 56244: Missing move placeholders in irre_tutorial tests Resolved
Task # 56369: Add possibility to assert error log entries Resolved
Bug # 56374: Unnatural processing order in IRRE tests Resolved
Task # 56707: Add functional tests for TCA types select and group/db Resolved
Task # 56708: Add Publish and PublishAll DataHandler workspaces tests Resolved
  Task # 56710: Add sys_refindex table to functional action tests Resolved
Bug # 56729: Use clean DataHandler for each functional test action Resolved
Bug # 56806: Split functional workspaces DataHandling test execution Resolved
Bug # 56819: Missing localizeChildrenAtParentLocalization for CSV tests Resolved
Task # 57014: Enrich many-to-many functional tests in live workspace Resolved
Task # 57030: Add ManyToMany copyPage functional test Resolved
Bug # 54849: Functional tests cannot write to backend log Resolved
Task # 55879: Enable additional configuration in functional tests Closed
Related issues:
related to Core - Epic # 58282: Workspaces Workpackage #2 Accepted 2012-03-26
duplicated by Core - Story # 54852: As a developer I want to ensure that furt... Closed

History
#1 - 2014-01-16 16:21 - Ingo Schmitt
- Assigned To set to Oliver Hader
- Estimated time set to 240.00
- Parent task set to #55070

#2 - 2014-01-16 16:21 - Ingo Schmitt
- Subject changed from Workspaces test cases / DataHandler bugfixes to WP: Workspaces test cases / DataHandler bugfixes

#3 - 2014-01-21 14:49 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26970

#4 - 2014-01-21 14:56 - Stefan Rotsch

Heyho,

we've pushed an initial version of the functional test suite to Gerrit and are now looking forward to your comments.

The assertions currently failing have been commented out.

To run the tests, please navigate to the webroot directory (where index.php is located) and use:

./typo3conf/ext/phpunit/Composer/vendor/bin/phpunit \
    --colors --process-isolation \
    --bootstrap typo3/sysext/core/Build/FunctionalTestsBootstrap.php \
    typo3/sysext/workspaces/Tests/Functional/DataHandling/OverlayDataHandling

Cheers,
Stefan (on behalf of AOE)

#5 - 2014-01-31 15:14 - Ingo Schmitt
- Parent task changed from #55070 to #54851

#6 - 2014-02-20 17:35 - Oliver Hader
For documentation and comparison:
    -  use DataSet scenario of commit:dd4a67c60ffa0d7ba89c299677fda532f1a154e5 for InlineRelationalRecordEditing ForeignField and
CommaSeparatedValue
    -  use DataSet scenario of commit:84e703a0a1536e49929f5244167d2d158dd1c7d6 for Regular and ManyToMany

#7 - 2014-03-11 23:23 - Oliver Hader
- Status changed from New to Accepted

#8 - 2015-01-23 11:33 - Mathias Schreiber
- Target version changed from 6.2.0 to 7.5
